FROM alpine:3.18

RUN apk add --no-cache openjdk17

WORKDIR /app

COPY wdd-springboot-test-0.0.1-SNAPSHOT.jar /app/jarfile.jar

COPY cmii-watchdog_linux_amd64 /app/cmii-watchdog

CMD ["chmod", "+x", "/app/cmii-watchdog"]

EXPOSE 8080

ENTRYPOINT ["/app/cmii-watchdog", "-business-program-type", "java", "-business-program-path", "/app/jarfile.jar"]